package com.zzsn.entity;

import java.io.Serializable;
import java.util.Map;

/**
 * 数据接口文档
 * 创建人：李东亮   
 * 创建时间：2016-4-6 下午3:44:17   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public class DocInfo implements Serializable{
   private String contentType;
   private Long orgId;
   private Long sid;
   //News:新闻,BBS:论坛,Blog:博客,MicroBlog:微博,WeChat:微信,Video:视频,Other:其他
   private String sourceType;
   private String lastModified;
   private String charset;
   private String sourceaddress;
   private String lang;
   private String title;
   private String author;
   private String publishDate;
   private String origin;
   private String keywords;
   private String summary;
   private String contentWithTag;
   private String contentNoTag;
   private String contentImgCvtTag;
   private String fileDownLoadPath;
   private Map<String,String> otherParams;
public Long getOrgId() {
    return orgId;
}
public void setOrgId(Long orgId) {
    this.orgId = orgId;
}
public String getContentType() {
    return contentType;
}
public void setContentType(String contentType) {
    this.contentType = contentType;
}
public Long getSid() {
    return sid;
}
public void setSid(Long sid) {
    this.sid = sid;
}
public String getSourceType() {
    return sourceType;
}
public void setSourceType(String sourceType) {
    this.sourceType = sourceType;
}
public String getLastModified() {
    return lastModified;
}
public void setLastModified(String lastModified) {
    this.lastModified = lastModified;
}
public String getCharset() {
    return charset;
}
public void setCharset(String charset) {
    this.charset = charset;
}
public String getSourceaddress() {
    return sourceaddress;
}
public void setSourceaddress(String sourceaddress) {
    this.sourceaddress = sourceaddress;
}
public String getLang() {
    return lang;
}
public void setLang(String lang) {
    this.lang = lang;
}
public String getTitle() {
    return title;
}
public void setTitle(String title) {
    this.title = title;
}
public String getAuthor() {
    return author;
}
public void setAuthor(String author) {
    this.author = author;
}
public String getPublishDate() {
    return publishDate;
}
public void setPublishDate(String publishDate) {
    this.publishDate = publishDate;
}
public String getOrigin() {
    return origin;
}
public void setOrigin(String origin) {
    this.origin = origin;
}

public String getKeywords() {
    return keywords;
}
public void setKeywords(String keywords) {
    this.keywords = keywords;
}
public String getSummary() {
    return summary;
}
public void setSummary(String summary) {
    this.summary = summary;
}
public String getContentWithTag() {
    return contentWithTag;
}
public void setContentWithTag(String contentWithTag) {
    this.contentWithTag = contentWithTag;
}
public String getContentNoTag() {
    return contentNoTag;
}
public void setContentNoTag(String contentNoTag) {
    this.contentNoTag = contentNoTag;
}
public Map<String, String> getOtherParams() {
    return otherParams;
}
public void setOtherParams(Map<String, String> otherParams) {
    this.otherParams = otherParams;
}
public String getFileDownLoadPath() {
    return fileDownLoadPath;
}
public void setFileDownLoadPath(String fileDownLoadPath) {
    this.fileDownLoadPath = fileDownLoadPath;
}
public String getContentImgCvtTag() {
    return contentImgCvtTag;
}
public void setContentImgCvtTag(String contentImgCvtTag) {
    this.contentImgCvtTag = contentImgCvtTag;
}
    
 
}
